=== modified file 'helpers_apiobjects_test.go'
--- helpers_apiobjects_test.go	2013-07-16 16:49:18 +0000
+++ helpers_apiobjects_test.go	2013-07-18 01:45:02 +0000
@@ -43,9 +43,9 @@
     hostname := MakeRandomString(10)
     username := MakeRandomString(10)
     password := MakeRandomString(10)
-    userdata := MakeRandomString(10)
+    customdata := MakeRandomString(10)
     disableSSH := BoolToString(MakeRandomBool())
-    return NewLinuxProvisioningConfigurationSet(hostname, username, password, userdata, disableSSH)
+    return NewLinuxProvisioningConfigurationSet(hostname, username, password, customdata, disableSSH)
 }
 
 func makeOSVirtualHardDisk() *OSVirtualHardDisk {

=== modified file 'xmlobjects.go'
--- xmlobjects.go	2013-07-16 16:49:18 +0000
+++ xmlobjects.go	2013-07-18 01:45:02 +0000
@@ -50,7 +50,7 @@
     Hostname                         string `xml:"HostName,omitempty"`
     Username                         string `xml:"UserName,omitempty"`
     Password                         string `xml:"UserPassword,omitempty"`
-    UserData                         string `xml:"UserData,omitempty"`
+    CustomData                       string `xml:"CustomData,omitempty"`
     DisableSSHPasswordAuthentication string `xml:"DisableSshPasswordAuthentication,omitempty"`
 
     // NetworkConfiguration fields.
@@ -72,19 +72,19 @@
     return toxml(c)
 }
 
-// NewLinuxProvisioningConfiguration creates and returns a ConfigurationSet of type
-// "LinuxProvisioningConfiguration" which is used when deploying a Linux VM instance.
-// Note that UserData is passed to Azure *as-is* which also stores it as passed, so consider
-// base64 encoding it.
+// NewLinuxProvisioningConfiguration creates and returns a ConfigurationSet of
+// type "LinuxProvisioningConfiguration" which is used when deploying a Linux
+// VM instance.  Note that CustomData is passed to Azure *as-is* which also
+// stores it as passed, so consider base64 encoding it.
 func NewLinuxProvisioningConfigurationSet(
-    Hostname, Username, Password, UserData string,
+    Hostname, Username, Password, CustomData string,
     DisableSSHPasswordAuthentication string) *ConfigurationSet {
     return &ConfigurationSet{
         ConfigurationSetType: "LinuxProvisioningConfiguration",
         Hostname:             Hostname,
         Username:             Username,
         Password:             Password,
-        UserData:             UserData,
+        CustomData:           CustomData,
         DisableSSHPasswordAuthentication: DisableSSHPasswordAuthentication,
     }
 }

=== modified file 'xmlobjects_test.go'
--- xmlobjects_test.go	2013-07-17 09:13:09 +0000
+++ xmlobjects_test.go	2013-07-18 01:45:02 +0000
@@ -32,11 +32,11 @@
           <HostName>%s</HostName>
           <UserName>%s</UserName>
           <UserPassword>%s</UserPassword>
-          <UserData>%s</UserData>
+          <CustomData>%s</CustomData>
           <DisableSshPasswordAuthentication>%v</DisableSshPasswordAuthentication>
         </ConfigurationSet>`)
     expected := fmt.Sprintf(template, config.Hostname, config.Username,
-        config.Password, config.UserData,
+        config.Password, config.CustomData,
         config.DisableSSHPasswordAuthentication)
     c.Check(strings.TrimSpace(xml), Equals, strings.TrimSpace(expected))
 }
@@ -161,7 +161,7 @@
               <HostName>%s</HostName>
               <UserName>%s</UserName>
               <UserPassword>%s</UserPassword>
-              <UserData>%s</UserData>
+              <CustomData>%s</CustomData>
               <DisableSshPasswordAuthentication>%v</DisableSshPasswordAuthentication>
             </ConfigurationSet>
           </ConfigurationSets>
@@ -169,7 +169,7 @@
         </Role>`)
     expected := fmt.Sprintf(template, role.RoleName,
         config.ConfigurationSetType, config.Hostname, config.Username,
-        config.Password, config.UserData,
+        config.Password, config.CustomData,
         config.DisableSSHPasswordAuthentication, role.RoleSize)
     c.Check(strings.TrimSpace(xml), Equals, strings.TrimSpace(expected))
 }
@@ -714,7 +714,7 @@
                   <HostName>%s</HostName>
                   <UserName>%s</UserName>
                   <UserPassword>%s</UserPassword>
-                  <UserData>%s</UserData>
+                  <CustomData>%s</CustomData>
                   <DisableSshPasswordAuthentication>%v</DisableSshPasswordAuthentication>
                 </ConfigurationSet>
               </ConfigurationSets>
@@ -735,7 +735,7 @@
     expected := fmt.Sprintf(template, deployment.Name,
         deployment.DeploymentSlot, deployment.Label,
         role.RoleName, config.ConfigurationSetType, config.Hostname,
-        config.Username, config.Password, config.UserData,
+        config.Username, config.Password, config.CustomData,
         config.DisableSSHPasswordAuthentication, role.RoleSize,
         deployment.VirtualNetworkName, dns.Name, dns.Address)
     c.Check(strings.TrimSpace(xml), Equals, strings.TrimSpace(expected))
@@ -1315,14 +1315,14 @@
     username := MakeRandomString(10)
     password := MakeRandomString(10)
     disablessh := BoolToString(MakeRandomBool())
-    userdata := MakeRandomString(10)
+    customdata := MakeRandomString(10)
 
     config := NewLinuxProvisioningConfigurationSet(
-        hostname, username, password, userdata, disablessh)
+        hostname, username, password, customdata, disablessh)
     c.Check(config.Hostname, Equals, hostname)
     c.Check(config.Username, Equals, username)
     c.Check(config.Password, Equals, password)
-    c.Check(config.UserData, Equals, userdata)
+    c.Check(config.CustomData, Equals, customdata)
     c.Check(config.DisableSSHPasswordAuthentication, Equals, disablessh)
     c.Check(config.ConfigurationSetType, Equals, "LinuxProvisioningConfiguration")
 }

